We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 2319 - Author's Review page
Author's Review page
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: Authors
2.x
Macintosh Mac OS X 10.0
: P2 normal
Assigned To: PKP Support
http://pkp.sfu.ca/ojs/test/test2/inde...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 10:04 PDT by John Willinsky
Modified: 2013-05-29 15:00 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Willinsky 2006-07-07 10:04:38 PDT
DELETE
Decision	 Accept Submission 2006-06-24
AS AUTHOR SHOULD NOT HAVE ACCESS TO THIS, BUT ONLY THE CORRESPONDENCE FROM EDITOR

CHANGE...
Initiated
TO...
Review initiated
THE DATE SHOULD REFLECT THE FIRST REVIEW "UNDERWAY"

Last modified
NOT SURE WHAT THIS IS ANY MORE, AS Review Version WILL HAVE LATEST DATE, SO MAY NOT BE 
NEEDED.

Uploaded file
IS THIS THE Supplementary File? AGAIN,  MAY NOT BE NEEDED (as Supp Files are on Summary page)

ADD UNDER Review initiated...
Peer Reviewers    3

Editor Version
THIS SHOULD BE None UNTIL THE EDITOR ACTUALLY UPLOADS A FILE IN EDITOR DECISION, RATHER 
THAN PREVIOUS VERSION WHICH HAD REVIEW VERSION BECOME EDITOR VERSION

CHANGE...
Author Version     None
Upload Author      [Browse] [    ] [Upload]
Version
TO...
Author Version     None
Upload                 [Browse] [    ] [Upload]

ADD
Sent to Copyediting
WHICH WILL APPEAR ON THE SAME LINE AS THE VERSION THAT THE EDITOR HAS SENT TO 
COPYEDITING.
Comment 1 Ramon Fonseca 2007-02-01 11:19:53 PST
PKPers,

The help file <topic id="editorial/topic/000026" locale="en_US" title="Editor Decision" toc="editorial/toc/000006" key="editorial.sectionEditorsRole.review.editorDecision">

States exactly what this bug report says. The author doesn't have access to the editor's decision.

However, current version still shows the editorial decision on the author's page, just like OJS1 and as I believe it should. There is no reason why the author shouldn't be able to see the editorial decision.

The bug I see happening is that the comments made to the author by the reviewer are not being displayed anywhere. Is the Editor supposed to copy and paste the comments made to the author, just like OJS1? If that's the case, then I would suggest the following:

1- Editor can edit reviewer comments made to author, somehow creating a new "correspondance" to the author (identifying by letter which reviewer made what comment), and creating a checkbox that will enable access to these comments or not. I believe, if this is possible, that this would speed up editorial tasks immensely.
Comment 2 Alec Smecher 2007-10-01 15:48:04 PDT
Deferring from 2.2.
Comment 3 Alec Smecher 2013-05-29 15:00:47 PDT
Zombie entry; superseded by 3.0 UI work.